Skip to main content
GET
/
v1
/
loyalty
/
residents
/
{id}
Retrieve a resident
curl --request GET \
  --url https://api.yorlet.com/v1/loyalty/residents/{id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.yorlet.com/v1/loyalty/residents/{id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.yorlet.com/v1/loyalty/residents/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "created": 123,
  "object": "resident",
  "building": "<string>",
  "email": "<string>",
  "name": "<string>",
  "tier": "<string>",
  "account": "<string>",
  "deleted": false
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Retrieve a resident

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
resident
building
required

The building the resident is associated with.

email
string
required

The resident's email address.

name
string | null
required

The resident's full name.

tier
required

The loyalty tier the resident is assigned to.

status
enum<string>
required

The status of the resident's membership.

Available options:
active,
inactive
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.